Page MenuHomePhabricator

Replace rdb1005, rdb1006 with rdb1011, rdb1012
Closed, ResolvedPublic

Event Timeline

Legoktm triaged this task as High priority.Apr 27 2021, 7:21 AM
Legoktm created this task.

Change 682892 had a related patch set uploaded (by Legoktm; author: Legoktm):

[operations/puppet@production] site.pp: Setup rdb1011, rdb1012

https://gerrit.wikimedia.org/r/682892

Change 682893 had a related patch set uploaded (by Legoktm; author: Legoktm):

[operations/puppet@production] Have rdb1012 replicate from rdb1011

https://gerrit.wikimedia.org/r/682893

Change 682896 had a related patch set uploaded (by Legoktm; author: Legoktm):

[operations/puppet@production] Reimage rdb1011, rdb1012, rdb2009, rdb2010 as bullseye

https://gerrit.wikimedia.org/r/682896

Change 682896 merged by Legoktm:

[operations/puppet@production] Reimage rdb1011, rdb1012, rdb2009, rdb2010 as bullseye

https://gerrit.wikimedia.org/r/682896

Script wmf-auto-reimage was launched by legoktm on cumin1001.eqiad.wmnet for hosts:

['rdb1011.eqiad.wmnet', 'rdb1012.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202104270850_legoktm_24357.log.

Completed auto-reimage of hosts:

['rdb1011.eqiad.wmnet', 'rdb1012.eqiad.wmnet']

Of which those FAILED:

['rdb1011.eqiad.wmnet', 'rdb1012.eqiad.wmnet']

Change 682892 merged by Legoktm:

[operations/puppet@production] site.pp: Setup rdb1011, rdb1012

https://gerrit.wikimedia.org/r/682892

Krinkle added a subtask: Unknown Object (Task).Aug 19 2021, 6:27 PM

Change 767730 had a related patch set uploaded (by Alexandros Kosiaris; author: Alexandros Kosiaris):

[operations/puppet@production] rdb1012: Switch to use rdb1011 as master

https://gerrit.wikimedia.org/r/767730

Change 767731 had a related patch set uploaded (by Alexandros Kosiaris; author: Alexandros Kosiaris):

[operations/puppet@production] rdb1006: Switch to decom

https://gerrit.wikimedia.org/r/767731

Change 767732 had a related patch set uploaded (by Alexandros Kosiaris; author: Alexandros Kosiaris):

[operations/puppet@production] rdb1005: Switch all usages to rdb1011

https://gerrit.wikimedia.org/r/767732

Change 767733 had a related patch set uploaded (by Alexandros Kosiaris; author: Alexandros Kosiaris):

[operations/puppet@production] rdb1011: Switch to master

https://gerrit.wikimedia.org/r/767733

Change 767734 had a related patch set uploaded (by Alexandros Kosiaris; author: Alexandros Kosiaris):

[operations/puppet@production] rdb1005: Move to system::spare

https://gerrit.wikimedia.org/r/767734

Change 767730 merged by Alexandros Kosiaris:

[operations/puppet@production] rdb1012: Switch to use rdb1011 as master

https://gerrit.wikimedia.org/r/767730

Change 767731 merged by Alexandros Kosiaris:

[operations/puppet@production] rdb1006: Switch to decom

https://gerrit.wikimedia.org/r/767731

Change 767742 had a related patch set uploaded (by Alexandros Kosiaris; author: Alexandros Kosiaris):

[operations/deployment-charts@master] Switch all usages of rdb1005 to rdb1011

https://gerrit.wikimedia.org/r/767742

Change 767732 merged by Alexandros Kosiaris:

[operations/puppet@production] rdb1005: Switch all usages to rdb1011

https://gerrit.wikimedia.org/r/767732

Change 767742 merged by jenkins-bot:

[operations/deployment-charts@master] Switch all usages of rdb1005 to rdb1011

https://gerrit.wikimedia.org/r/767742

Mentioned in SAL (#wikimedia-operations) [2022-03-03T13:45:43Z] <akosiaris> roll restart ores uwsgi and celery for rdb1005 decommissioning. T281217

Mentioned in SAL (#wikimedia-operations) [2022-03-03T13:54:06Z] <akosiaris> switch changeprop, changeprop-jobqueue to use rdb1011. T281217

Change 682893 abandoned by Alexandros Kosiaris:

[operations/puppet@production] Have rdb1012 replicate from rdb1011

Reason:

Done in https://gerrit.wikimedia.org/r/c/767730

https://gerrit.wikimedia.org/r/682893

Change 767733 merged by Alexandros Kosiaris:

[operations/puppet@production] rdb1011: Switch to master

https://gerrit.wikimedia.org/r/767733

akosiaris claimed this task.
akosiaris added a subscriber: akosiaris.

Resolving, rdb1011 is now the master for all applications. Decommissioning of rdb1005,6 tracked in T273139

Change 767734 merged by Alexandros Kosiaris:

[operations/puppet@production] rdb1005: Remove from site.pp

https://gerrit.wikimedia.org/r/767734